#!/usr/bin/env python
# -*- coding: utf_8 -*-

from webcreator.event import PySignal

class SignalManager(object):
    actionPostArea = PySignal()
    actionDeleteArea = PySignal()
    actionGetlistArea = PySignal()
    actionGetArea = PySignal()
    actionPutArea = PySignal()
    actionPostApp = PySignal()
    actionDeleteApp = PySignal()
    actionGetlistApp = PySignal()
    actionGetApp = PySignal()
    actionPutApp = PySignal()
    actionGetlistPackage = PySignal()
    actionGetPackage = PySignal()
    actionPostUser = PySignal()
    actionDeleteUser = PySignal()
    actionGetlistUser = PySignal()
    actionGetUser = PySignal()
    actionPutUser = PySignal()
    actionPostLogin = PySignal()
    actionGetlistLogin = PySignal()
    actionGetLogin = PySignal()
    actionPostDevice = PySignal()
    actionDeleteDevice = PySignal()
    actionGetlistDevice = PySignal()
    actionGetDevice = PySignal()
    actionPutDevice = PySignal()
    actionDeleteAnnex = PySignal()
    actionGetlistAnnex = PySignal()
    actionGetAnnex = PySignal()
    actionGetlistMonitorwatch = PySignal()
    actionGetMonitorwatch = PySignal()
    actionGetlistMonitorsystem = PySignal()
    actionGetMonitorsystem = PySignal()
    actionGetlistMonitorlvgl = PySignal()
    actionGetMonitorlvgl = PySignal()
    actionGetlistMonitorimage = PySignal()
    actionGetMonitorimage = PySignal()
    actionGetlistMonitorevm = PySignal()
    actionGetMonitorevm = PySignal()
    actionTreelist = PySignal()
    actionTreenodes = PySignal()
    actionUpdatebyid = PySignal()
    actionMenuCreate = PySignal()
    actionUpdateSort = PySignal()
    actionMenuBatch = PySignal()
    # file manager api
    actionGetFileInit = PySignal()
    actionGetFileContent = PySignal()
    actionGetFileTree = PySignal()
    actionGetFileDisk = PySignal()
    actionGetFileDown = PySignal()
    actionGetFilePreview = PySignal()
    actionPostFileUpdate = PySignal()
    actionPostFileUpload = PySignal()
    actionPostFileDelete = PySignal()
    actionPostFileCreate = PySignal()
    actionPostFileCreateDir = PySignal()
    actionPostFilePaste = PySignal()
    # api
    actionPostAppReview = PySignal()
    actionGetLauncher = PySignal()
    actionSetLauncher = PySignal()
    actionGetApplication = PySignal()
    actionGetAppInfo = PySignal()
    actionGetAppList = PySignal()
    actionGetEpk = PySignal()
    actionApplicationBuild = PySignal()
    actionCheckVersion = PySignal()
    # workbench
    actionWorkbench = PySignal()

    def __init__(self):
        super().__init__()

signalManager = SignalManager()